from parallels.core.utils.entity import Entity


class SpamAssassinMailName(Entity):
    def __init__(self, mail_name_id, name, flt_enabled):
        self._mail_name_id = mail_name_id
        self._name = name
        self._flt_enabled = flt_enabled

    @property
    def mail_name_id(self):
        """
        :rtype: str | unicode
        """
        return self._mail_name_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def flt_enabled(self):
        """
        :rtype: str | unicode
        """
        return self._flt_enabled
